using System;
using System.Windows.Forms;

public class Gast
{
	int id;
	String gastname;
	String vorname;
	String kurzname;
	int einrichtung;
	String telefon;
	DateTime letzterzugriff;

	public int Id
	{
		get
		{
			return id;
		}

		set
		{
			id = value;
		}
	}

	public String Gastname
	{
		get
		{
			return gastname;
		}

		set
		{
			gastname = value;
		}
	}

	public String Vorname
	{
		get
		{
			return vorname;
		}

		set
		{
			vorname = value;
		}
	}
	
    public String Kurzname
	{
		get
        {
			return kurzname;
		}

		set
		{
			kurzname = value;
		}
	}

	public int Einrichtung
	{
		get
		{
			return einrichtung;
		}

		set
		{
			einrichtung = value;
		}
	}

	public String Telefon
	{
		get
		{
			return telefon;
		}

		set
		{
			telefon = value;
		}
	}

	public DateTime Letzterzugriff
	{
		get
		{
			return letzterzugriff;
		}
		
		set
		{
			letzterzugriff = value;
		}
	}

	public Gast(int id, String gastname, String vorname, String kurzname, int einrichtung, String telefon)
	{
		Id = id;
		Gastname = gastname;
		Vorname = vorname;
		Kurzname = kurzname;
		Einrichtung = einrichtung;
		Telefon = telefon;
		letzterzugriff = DateTime.Now;
	}

	public Gast()
	{
		letzterzugriff = DateTime.Now;
	}

	~Gast()
	{

	}
};
